Skip to main content
GET
https://edb-with-videos-and-images-by-ascendapi.p.rapidapi.com
/
api
/
v1
/
exercises
Advanced exercise filtering
curl --request GET \
  --url https://edb-with-videos-and-images-by-ascendapi.p.rapidapi.com/api/v1/exercises \
  --header 'X-RapidAPI-Key: <api-key>'
{
  "success": true,
  "meta": {
    "total": 12778,
    "hasNextPage": true,
    "hasPreviousPage": false,
    "nextCursor": "<string>",
    "previousCursor": "<string>"
  },
  "data": [
    {
      "exerciseId": "exr_41n2hxnFMotsXTj3",
      "name": "Bench Press",
      "equipments": [
        "Barbell"
      ],
      "bodyParts": [
        "Chest"
      ],
      "exerciseType": "strength",
      "targetMuscles": [
        "Pectoralis Major Clavicular Head"
      ],
      "secondaryMuscles": [
        "Deltoid Anterior",
        "Pectoralis Major Clavicular Head",
        "Triceps Brachii"
      ],
      "keywords": [
        "Chest workout with barbell",
        "Barbell bench press exercise",
        "Strength training for chest",
        "Upper body workout with barbell",
        "Barbell chest exercises",
        "Bench press for chest muscles",
        "Building chest muscles with bench press",
        "Chest strengthening with barbell",
        "Bench press workout routine",
        "Barbell exercises for chest muscle growth"
      ],
      "imageUrl": ""
    }
  ]
}

Authorizations

X-RapidAPI-Key
string
header
required

Enter your RapidAPI key in the X-RapidAPI-Key header.

Query Parameters

name
string

Filter exercises by name. Supports fuzzy matching.

Example:

"Bench Press"

keywords
string

Filter exercises by keywords. Use comma-separated values for multiple keywords.

Example:

"chest workout,barbell"

targetMuscles
string

Filter exercises by primary target muscles. Use comma-separated values for multiple muscles.

Example:

"Pectoralis Major Clavicular Head,Deltoid Anterior"

secondaryMuscles
string

Filter exercises by secondary muscles. Use comma-separated values for multiple muscles.

Example:

"Triceps Brachii,Deltoid Anterior"

exerciseType
string

Filter exercises by type (e.g., strength, cardio).

Example:

"strength"

bodyParts
string

Filter exercises by body parts. Use comma-separated values for multiple body parts.

Example:

"Chest,Shoulders"

equipments
string

Filter exercises by required equipment. Use comma-separated values for multiple equipment types.

Example:

"Barbell,Dumbbell"

limit
string

Maximum number of results to return (min: 1, max: 25, default: 10)

Example:

"10"

after
string

Exercise ID to paginate after (for forward pagination)

before
string

Exercise ID to paginate before (for backward pagination)

Response

Retrieve exercises by search filters

success
boolean
required

Indicates whether the request was successful

Example:

true

meta
Cursor Pagination Metadata · object
required

Metadata about cursor-based pagination

data
Filtered Exercise Results · object[]
required

Array of exercises matching the filter criteria

Last modified on March 23, 2026